| OpenCV 4.3.0 Open Source Computer Vision

Namespaces | Typedefs | Functions
cv::gapi::imgproc Namespace Reference

## Namespaces
| cpu
| fluid
| gpu
| ocl

## Typedefs
using | GMat2 = std::tuple< GMat, GMat >
using | GMat3 = std::tuple< GMat, GMat, GMat >

## Functions
| G_TYPED_KERNEL (GFilter2D,< GMat(GMat, int, Mat, Point, Scalar, int, Scalar)>,"org.opencv.imgproc.filters.filter2D")
| G_TYPED_KERNEL (GSepFilter,< GMat(GMat, int, Mat, Mat, Point, Scalar, int, Scalar)>, "org.opencv.imgproc.filters.sepfilter")
| G_TYPED_KERNEL (GBoxFilter,< GMat(GMat, int, Size, Point, bool, int, Scalar)>, "org.opencv.imgproc.filters.boxfilter")
| G_TYPED_KERNEL (GBlur,< GMat(GMat, Size, Point, int, Scalar)>, "org.opencv.imgproc.filters.blur")
| G_TYPED_KERNEL (GGaussBlur,< GMat(GMat, Size, double, double, int, Scalar)>, "org.opencv.imgproc.filters.gaussianBlur")
| G_TYPED_KERNEL (GMedianBlur,< GMat(GMat, int)>, "org.opencv.imgproc.filters.medianBlur")
| G_TYPED_KERNEL (GErode,< GMat(GMat, Mat, Point, int, int, Scalar)>, "org.opencv.imgproc.filters.erode")
| G_TYPED_KERNEL (GDilate,< GMat(GMat, Mat, Point, int, int, Scalar)>, "org.opencv.imgproc.filters.dilate")
| G_TYPED_KERNEL (GSobel,< GMat(GMat, int, int, int, int, double, double, int, Scalar)>, "org.opencv.imgproc.filters.sobel")
| G_TYPED_KERNEL (GEqHist,< GMat(GMat)>, "org.opencv.imgproc.equalizeHist")
| G_TYPED_KERNEL (GCanny,< GMat(GMat, double, double, int, bool)>, "org.opencv.imgproc.canny")
| G_TYPED_KERNEL (GRGB2YUV,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.rgb2yuv")
| G_TYPED_KERNEL (GYUV2RGB,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.yuv2rgb")
| G_TYPED_KERNEL (GNV12toRGB,< GMat(GMat, GMat)>, "org.opencv.imgproc.colorconvert.nv12torgb")
| G_TYPED_KERNEL (GNV12toBGR,< GMat(GMat, GMat)>, "org.opencv.imgproc.colorconvert.nv12tobgr")
| G_TYPED_KERNEL (GRGB2Lab,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.rgb2lab")
| G_TYPED_KERNEL (GBGR2LUV,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.bgr2luv")
| G_TYPED_KERNEL (GLUV2BGR,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.luv2bgr")
| G_TYPED_KERNEL (GYUV2BGR,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.yuv2bgr")
| G_TYPED_KERNEL (GBGR2YUV,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.bgr2yuv")
| G_TYPED_KERNEL (GRGB2Gray,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.rgb2gray")
| G_TYPED_KERNEL (GRGB2GrayCustom,< GMat(GMat, float, float, float)>, "org.opencv.imgproc.colorconvert.rgb2graycustom")
| G_TYPED_KERNEL (GBGR2Gray,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.bgr2gray")
| G_TYPED_KERNEL (GBayerGR2RGB,< cv::GMat(cv::GMat)>, "org.opencv.imgproc.colorconvert.bayergr2rgb")
| G_TYPED_KERNEL (GRGB2HSV,< cv::GMat(cv::GMat)>, "org.opencv.imgproc.colorconvert.rgb2hsv")
| G_TYPED_KERNEL (GRGB2YUV422,< cv::GMat(cv::GMat)>, "org.opencv.imgproc.colorconvert.rgb2yuv422")
| G_TYPED_KERNEL (GNV12toRGBp,< GMatP(GMat, GMat)>, "org.opencv.colorconvert.imgproc.nv12torgbp")
| G_TYPED_KERNEL (GNV12toGray,< GMat(GMat, GMat)>, "org.opencv.colorconvert.imgproc.nv12togray")
| G_TYPED_KERNEL (GNV12toBGRp,< GMatP(GMat, GMat)>, "org.opencv.colorconvert.imgproc.nv12tobgrp")
| G_TYPED_KERNEL_M (GSobelXY,< GMat2(GMat, int, int, int, double, double, int, Scalar)>, "org.opencv.imgproc.filters.sobelxy")

## Typedef Documentation

## ◆ GMat2

using cv::gapi::imgproc::GMat2 = typedef std::tuple<GMat,GMat>

## ◆ GMat3

using cv::gapi::imgproc::GMat3 = typedef std::tuple<GMat,GMat,GMat>

## Function Documentation

## ◆ G_TYPED_KERNEL() [1/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFilter2D | ,
|  | < GMat(GMat, int, Mat, Point, Scalar, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.filter2D" |
| ) |  |

## ◆ G_TYPED_KERNEL() [2/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GSepFilter | ,
|  | < GMat(GMat, int, Mat, Mat, Point, Scalar, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.sepfilter" |
| ) |  |

## ◆ G_TYPED_KERNEL() [3/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBoxFilter | ,
|  | < GMat(GMat, int, Size, Point, bool, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.boxfilter" |
| ) |  |

## ◆ G_TYPED_KERNEL() [4/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBlur | ,
|  | < GMat(GMat, Size, Point, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.blur" |
| ) |  |

## ◆ G_TYPED_KERNEL() [5/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GGaussBlur | ,
|  | < GMat(GMat, Size, double, double, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.gaussianBlur" |
| ) |  |

## ◆ G_TYPED_KERNEL() [6/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GMedianBlur | ,
|  | < GMat(GMat, int)> | ,
|  | "org.opencv.imgproc.filters.medianBlur" |
| ) |  |

## ◆ G_TYPED_KERNEL() [7/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GErode | ,
|  | < GMat(GMat, Mat, Point, int, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.erode" |
| ) |  |

## ◆ G_TYPED_KERNEL() [8/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GDilate | ,
|  | < GMat(GMat, Mat, Point, int, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.dilate" |
| ) |  |

## ◆ G_TYPED_KERNEL() [9/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GSobel | ,
|  | < GMat(GMat, int, int, int, int, double, double, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.sobel" |
| ) |  |

## ◆ G_TYPED_KERNEL() [10/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GEqHist | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.equalizeHist" |
| ) |  |

## ◆ G_TYPED_KERNEL() [11/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GCanny | ,
|  | < GMat(GMat, double, double, int, bool)> | ,
|  | "org.opencv.imgproc.canny" |
| ) |  |

## ◆ G_TYPED_KERNEL() [12/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2YUV | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2yuv" |
| ) |  |

## ◆ G_TYPED_KERNEL() [13/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GYUV2RGB | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.yuv2rgb" |
| ) |  |

## ◆ G_TYPED_KERNEL() [14/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toRGB | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.nv12torgb" |
| ) |  |

## ◆ G_TYPED_KERNEL() [15/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toBGR | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.nv12tobgr" |
| ) |  |

## ◆ G_TYPED_KERNEL() [16/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2Lab | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2lab" |
| ) |  |

## ◆ G_TYPED_KERNEL() [17/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBGR2LUV | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bgr2luv" |
| ) |  |

## ◆ G_TYPED_KERNEL() [18/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GLUV2BGR | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.luv2bgr" |
| ) |  |

## ◆ G_TYPED_KERNEL() [19/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GYUV2BGR | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.yuv2bgr" |
| ) |  |

## ◆ G_TYPED_KERNEL() [20/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBGR2YUV | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bgr2yuv" |
| ) |  |

## ◆ G_TYPED_KERNEL() [21/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2Gray | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2gray" |
| ) |  |

## ◆ G_TYPED_KERNEL() [22/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2GrayCustom | ,
|  | < GMat(GMat, float, float, float)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2graycustom" |
| ) |  |

## ◆ G_TYPED_KERNEL() [23/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBGR2Gray | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bgr2gray" |
| ) |  |

## ◆ G_TYPED_KERNEL() [24/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBayerGR2RGB | ,
|  | < cv::GMat(cv::GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bayergr2rgb" |
| ) |  |

## ◆ G_TYPED_KERNEL() [25/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2HSV | ,
|  | < cv::GMat(cv::GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2hsv" |
| ) |  |

## ◆ G_TYPED_KERNEL() [26/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2YUV422 | ,
|  | < cv::GMat(cv::GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2yuv422" |
| ) |  |

## ◆ G_TYPED_KERNEL() [27/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toRGBp | ,
|  | < GMatP(GMat, GMat)> | ,
|  | "org.opencv.colorconvert.imgproc.nv12torgbp" |
| ) |  |

## ◆ G_TYPED_KERNEL() [28/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toGray | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.colorconvert.imgproc.nv12togray" |
| ) |  |

## ◆ G_TYPED_KERNEL() [29/29]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toBGRp | ,
|  | < GMatP(GMat, GMat)> | ,
|  | "org.opencv.colorconvert.imgproc.nv12tobgrp" |
| ) |  |

## ◆ G_TYPED_KERNEL_M()

cv::gapi::imgproc::G_TYPED_KERNEL_M | ( | GSobelXY | ,
|  | < GMat2(GMat, int, int, int, double, double, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.sobelxy" |
| ) |  |